/**
  ******************************************************************************
  * @file    wavetek_nRF.h
  * @author  MCD Application Team
  * @version V1.0.0
  * @date    01-October-2014
  * @brief   This file contains all the functions prototypes for the
  *          wavetek_nRF.c driver.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; COPYRIGHT(c) 2014 STMicroelectronics</center></h2>
  *
  * Redistribution and use in source and binary forms, with or without modification,
  * are permitted provided that the following conditions are met:
  *   1. Redistributions of source code must retain the above copyright notice,
  *      this list of conditions and the following disclaimer.
  *   2. Redistributions in binary form must reproduce the above copyright notice,
  *      this list of conditions and the following disclaimer in the documentation
  *      and/or other materials provided with the distribution.
  *   3. Neither the name of STMicroelectronics nor the names of its contributors
  *      may be used to endorse or promote products derived from this software
  *      without specific prior written permission.
  *
  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
  * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
  * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
  * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __WAVETEK_NRF_H
#define __WAVETEK_NRF_H

#ifdef __cplusplus
 extern "C" {
#endif
                                              
/* Includes ------------------------------------------------------------------*/
#include "wavetek_nRF_conf.h"

 /* Exported types ------------------------------------------------------------*/
  typedef enum{
 	 Wavetek_nRF_LED1_Id = 0,		/**< PB5 */
 	 Wavetek_nRF_LED2_Id = 1,		/**< PB3 */
 	 Wavetek_nRF_LED3_Id = 2		/**< PA10 */
 }eWavetek_nRF_Led_TypeDef_t;

 typedef enum{
	 Wavetek_nRF_BUTTON1_Id = 0,	/**< PA9 */
	 Wavetek_nRF_BUTTON2_Id = 1,	/**< PA8 */
	 Wavetek_nRF_BUTTON3_Id = 2		/**< PB4 */
}eWavetek_nRF_Button_TypeDef_t;

 /* Exported functions ------------------------------------------------------- */
 void wavetek_nRF_led_init(eWavetek_nRF_Led_TypeDef_t Led_id);
 void wavetek_nRF_button_init(eWavetek_nRF_Button_TypeDef_t Button_id);
 void wavetek_nRF_led_on(eWavetek_nRF_Led_TypeDef_t Led_id);
 void wavetek_nRF_led_off(eWavetek_nRF_Led_TypeDef_t Led_id);
   

#ifdef __cplusplus
}
#endif

#endif /* __WAVETEK_NRF_H */

 /************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
